/**
 *
 */
import { Swiper, Navigation, Pagination, Scrollbar } from "swiper/dist/js/swiper.esm.js";
// import lightGallery from "lightgallery.js/dist/js/lightgallery";
import "lightgallery.js";
import "lg-thumbnail.js";

/**
 *
 */
Swiper.use([Navigation, Pagination, Scrollbar]);

/**
 *
 */
export default class msMiniGallery {
	constructor(selector, options) {
		new Swiper(selector, options);

		/* global lightGallery */
		lightGallery(document.getElementById("ms-ingo-carousel__gallery"), {
			thumbnail: true,
			selector: ".ms-info-carousel__picture"
		});
	}
}
